import { IBase, IBaseCollection, IFolder, IFolderQueryResult, IFolderResult } from "..";
/**
 * Methods
 */
export interface IFoldersMethods {
    /**
     * Adds the folder that is located at the specified URL to the collection.
     * @param url - The path where you want to add the folder (including the name of the new folder) as a fully-qualified URL, server-relative URL, or site-relative URL.
     */
    add(url: any): IBase<IFolderResult>;
    /**
     * Get the file at the specified URL.
     * @param serverRelativeUrl - The server-relative URL of the folder.
     */
    getbyurl(serverRelativeUrl: any): IBase<IFolderResult>;
    /**
     * Method to get the next set of results.
     */
    next(): IBase<IFolders>;
}
/**
 * Folders
 */
export interface IFolders extends IFoldersMethods, IBaseCollection<IFolder, IFolderResult, IFolderQueryResult> {
}
/**
 * Folder Results
 */
export interface IFolderResults extends IFoldersMethods, IBaseCollection<IFolderResult, IFolderResult, IFolderQueryResult> {
}
